apiVersion: v1
kind: Template
labels:
  app: nexus
  template: nexus-buildconfig-with-secret
metadata:
  annotations:
    description: Nexus - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: Nexus
    tags: nexus
  name: nexus-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-nexus-${NEXUS_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds Nexus images
    labels:
      name: nexus-${NEXUS_REPOSITORY_REF}
    name: nexus-${NEXUS_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    output:
      to:
        kind: ImageStreamTag
        name: nexus:${NEXUS_REPOSITORY_REF}
    resources:
      limits:
        cpu: 400m
        memory: 3Gi
    source:
      contextDir: /
      git:
        ref: "${NEXUS_REPOSITORY_REF}"
        uri: ${NEXUS_REPOSITORY_URL}
      sourceSecret:
        name: git-nexus-${NEXUS_REPOSITORY_REF}
      type: Git
    strategy:
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
      type: Docker
    successfulBuildsHistoryLimit: 2
    triggers:
    - type: ConfigChange
    - type: ImageChange
parameters:
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: NEXUS_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  value: master
- name: NEXUS_REPOSITORY_URL
  description: The URL of the repository with your Nexus Dockerfile
  displayName: Git Repository URL
  value: https://gitlab.com/synacksynack/opsperator/docker-nexus.git
